--! Contains type definitions for use in the safety controller.
package Types is
	subtype VECTOR_8  is std_logic_vector (7 downto 0);     --! A bit-vector containing 8 bits.
	subtype VECTOR_16 IS std_logic_vector (15 downto 0);    --! A bit-vector containing 16 bits.
	subtype VECTOR_32 IS std_logic_vector (31 downto 0);    --! A bit-vector containing 32 bits.

	--! clock signals record
	type clockbits is
	record
		clock_130kHz : std_logic;	--! 130 kHz clock signal
		clock_1kHz   : std_logic;	--! 1 kHz clock signal
		clock_1Hz    : std_logic;	--! 1 Hz clock signal
	end record;
end package;

